/*!
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { Page } from '@playwright/test';
import { BasePage } from './base.page';
import { AcaHeader, AdfFolderDialogComponent, ContentNodeSelectorDialog, CreateFromTemplateDialogComponent, PasswordOverlayDialogComponent, ViewerOverlayDialogComponent, Breadcrumb, DataTableComponent, MatMenuComponent, ViewerComponent, SidenavComponent, PaginationComponent, ErrorComponent, ShareDialogComponent, AdfConfirmDialogComponent, AdfInfoDrawerComponent, UploadNewVersionDialog, ManageVersionsDialog, UploadDialog, SnackBarComponent, EditDialog } from '../components';
export declare class PersonalFilesPage extends BasePage {
    private static pageUrl;
    constructor(page: Page);
    acaHeader: AcaHeader;
    matMenu: MatMenuComponent;
    folderDialog: AdfFolderDialogComponent;
    contentNodeSelector: ContentNodeSelectorDialog;
    dataTable: DataTableComponent;
    viewer: ViewerComponent;
    passwordDialog: PasswordOverlayDialogComponent;
    viewerDialog: ViewerOverlayDialogComponent;
    breadcrumb: Breadcrumb;
    sidenav: SidenavComponent;
    createFromTemplateDialogComponent: CreateFromTemplateDialogComponent;
    pagination: PaginationComponent;
    errorDialog: ErrorComponent;
    shareDialog: ShareDialogComponent;
    confirmDialog: AdfConfirmDialogComponent;
    infoDrawer: AdfInfoDrawerComponent;
    uploadNewVersionDialog: UploadNewVersionDialog;
    manageVersionsDialog: ManageVersionsDialog;
    uploadDialog: UploadDialog;
    snackBar: SnackBarComponent;
    editDialog: EditDialog;
    selectCreateFolder(): Promise<void>;
    closeMenu(): Promise<void>;
    waitForPageLoad(): Promise<void>;
    clickMoreActionsButton(buttonLabel: string): Promise<void>;
    copyOrMoveContentInDatatable(sourceFileList: string[], destinationName: string, operation?: string): Promise<void>;
    selectItemsAndToggleFavorite(item: string[], action: 'Favorite' | 'Remove Favorite'): Promise<void>;
}
